###############################################################################
# Firmware patch file
#  If the value is not set then patch download is disabled.
FW_PATCH="/etc/firmware/BCM20795A1_001.002.012.0003.0050_Customers_I2CPLM_NCD_Signed_configdata.ncd"

###############################################################################
# Firmware pre-patch file (sent before the above patch file)
#  If the value is not set then pre-patch is not used.
FW_PRE_PATCH=""

###############################################################################
# LPTD mode configuration
#  byte[0] is the length of the remaining bytes in this value
#     if set to 0, LPTD params will NOT be sent to NFCC (i.e. disabled).
#  byte[1] is the param id it should be set to B9.
#  byte[2] is the length of the LPTD parameters
#  byte[3] indicates if LPTD is enabled
#     if set to 0, LPTD will be disabled (parameters will still be sent).
#  byte[4-n] are the LPTD parameters - during LPTD tuning the following parameters are changed
#       byte[13 - 16] = vector threshold
#       byte[17 - 20] = upper power threshold
#       byte[21 - 24] = lower power threshold
#       byte[25] = threshold mode (0=vector, 4=power, 8= vector AND power, c = vector OR power)
#       byte[83] = tuning mode (1 = enable LPTD diagnostics for tuning, 4= Enable statistics command, 5 = both)
#  By default, LPTD will not be sent
#                  00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23x24x25 26 27 28x29x30 31 32x33x34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79x80x81 82 83 84 85 86 87 88 89 90 91 92 93
LPTD_CFG={60:B9:5E:01:00:FF:FF:40:00:8B:13:00:10:40:1F:00:00:50:87:0A:00:50:87:0A:00:0C:40:1F:00:00:50:87:0A:00:50:87:0A:00:0C:10:00:0D:00:00:00:00:00:00:00:00:00:00:33:23:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:02:02:02:53:3B:0F:00:00:00:00:00:00:00:00:00:00:00:00:00:00}

###############################################################################
# Startup Configuration (256 bytes maximum)
#
# This is applied at stack startup.
# Setting based on team review
NFA_DM_START_UP_CFG={8A:5B:01:02:80:01:01:A0:02:08:01:A5:01:01:B0:05:01:03:03:03:08:B1:06:00:80:00:00:00:00:B5:03:01:03:FF:C9:0D:24:00:00:00:01:00:BB:00:E4:00:0A:01:02:CF:02:02:08:D6:0D:00:02:00:00:00:00:00:01:00:01:5A:00:8A:CB:01:01:B2:02:B8:0B:C8:1E:06:1F:00:0A:04:30:00:04:24:00:1C:00:75:00:77:00:76:00:1C:00:03:00:0A:00:56:01:00:00:40:04:D7:01:03:DD:14:00:00:00:1D:12:40:40:00:00:80:C0:00:0F:27:0A:67:20:00:52:20:CA:05:00:00:00:00:18}

#PREINIT_DSP_CFG={20:C8:1E:06:1F:00:0A:03:30:00:04:24:00:1C:00:75:00:77:00:76:00:1C:00:03:00:0A:00:5A:01:00:00:40:04}

###############################################################################
# Pre-Discovery Startup Configuration (256 bytes maximum)
#
# This is applied before starting Discovery the first time.
NFA_DM_PRE_DISCOVERY_CFG={0A:C2:08:01:00:00:04:40:4B:4C:00}

###############################################################################
# Snooze Mode Settings
#
#  By default snooze mode is enabled.  Set SNOOZE_MODE_CFG byte[0] to 0
#  to disable.
#
#  If SNOOZE_MODE_CFG is not provided, the default settings are used:
#  They are as follows:
#       8             Sleep Mode (0=Disabled 1=UART 8=SPI/I2C)
#       0             Idle Threshold Host
#       0             Idle Threshold HC
#       0             NFC Wake active mode (0=ActiveLow 1=ActiveHigh)
#       1             Host Wake active mode (0=ActiveLow 1=ActiveHigh)
#
SNOOZE_MODE_CFG={08:00:00:00:01}

###############################################################################
# Payment AID blocking mode.  This is needed for devices which can only support
# Short-select matching.  Using this feature will block AIDs to category
# "OTHER" applications where the AID prefix matches an AID of the current
# default "PAYMENT" application or all registered payment applications.
#   0 : disabled; DEFAULT (do NOT block any AIDs)
#   1 : block AIDs from the default payment application only.
#   2 : block AIDs from all registered payment applications.
# PAYMENT_AID_BLOCKING_MODE=0

###############################################################################
# Choose the presence-check algorithm for type-4 tag.  If not defined,
# the default value is 1.
# 0  NFA_RW_PRES_CHK_DEFAULT; Let stack selects an algorithm
# 1  NFA_RW_PRES_CHK_I_BLOCK; ISO-DEP protocol's empty I-block
# 2  NFA_RW_PRES_CHK_RESET; Deactivate to Sleep, then re-activate
# 3  NFA_RW_PRES_CHK_RB_CH0; Type-4 tag protocol's ReadBinary command on channel 0
# 4  NFA_RW_PRES_CHK_RB_CH3; Type-4 tag protocol's ReadBinary command on channel 3
PRESENCE_CHECK_ALGORITHM=1
